org.keycloak.models.cache.infinispan.authorization.entities

## Class ResourceListQuery

- java.lang.Object
- - org.keycloak.models.cache.infinispan.entities.AbstractRevisioned
  - - org.keycloak.models.cache.infinispan.authorization.entities.ResourceListQuery

- All Implemented Interfaces:
    Serializable, CachedObject, InResourceServer, ResourceQuery, Revisioned
  Direct Known Subclasses:
    ResourceScopeListQuery

      public class ResourceListQuery
      extends AbstractRevisioned
      implements ResourceQuery, InResourceServer

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceListQuery(Long revision, String id, Set<String> resources, String serverId)`
    `ResourceListQuery(Long revision, String id, String resourceId, String serverId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getResources()`
    `String` | `getResourceServerId()`
    `boolean` | `isInvalid(Set<String> invalidations)`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.entities.AbstractRevisioned

      `getCacheTimestamp, getId, getRevision, setRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.cache.infinispan.entities.Revisioned

      `getId, getRevision, setRevision`

- - ### Constructor Detail

    - #### ResourceListQuery

          public ResourceListQuery(Long revision,
                                   String id,
                                   String resourceId,
                                   String serverId)

    - #### ResourceListQuery

          public ResourceListQuery(Long revision,
                                   String id,
                                   Set<String> resources,
                                   String serverId)

  - ### Method Detail

    - #### getResourceServerId

          public String getResourceServerId()

      Specified by:
        `getResourceServerId` in interface `InResourceServer`

    - #### getResources

          public Set<String> getResources()

      Specified by:
        `getResources` in interface `ResourceQuery`

    - #### isInvalid

          public boolean isInvalid(Set<String> invalidations)

      Specified by:
        `isInvalid` in interface `ResourceQuery`

Copyright © 2021 JBoss by Red Hat. All rights reserved.